package app04c.listener;

import app04c.util.DateTool;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class AppLifecycleListener implements ServletContextListener {

  public void contextInitialized(ServletContextEvent cse) {
    System.out.println("Initializing Application app04b.to");
    ServletContext servletContext = cse.getServletContext();
    String datePattern = servletContext.getInitParameter("datePattern");
    String decimalPattern = servletContext.getInitParameter("decimalPattern");
    new DateTool(datePattern);
  }

  public void contextDestroyed(ServletContextEvent cse) {
  }

}
